Subject: bug#28243: closed (Re: bug#28243: Guix cross-compilation doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Aug 2020 08:46:02 +0000

Your bug report

#28243: Guix cross-compilation doesn't work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28243: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28243
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28243: Guix cross-compilation doesn't work
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Tue, 11 Aug 2020 10:45:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Manolis Ragkousis writes:

This has been fixed since 6741f543e6f09069961edd741cd210b7f49aadcc
that adds bootstrap tarballs for the Hurd.

Thanks,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com

Subject: Guix cross-compilation doesn't work
From: Manolis Ragkousis <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Sat, 26 Aug 2017 18:58:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,

In current master (72e2815d18ad688b0a16ce3b3efba1172423cec4)
cross-compilation doesn't work.
Running `guix build --target=i586-pc-gnu -c8 bootstrap-tarballs' or
running `guix build --target=i686-linux-gnu -c8 bootstrap-tarballs'
fail with

phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
warning: failed to install 'en_US.utf8' locale: Invalid argument
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
In execvp of tar: No such file or directory
phase `unpack' failed after 0.0 seconds

http://paste.lisp.org/display/354383

The problem appeared both in master and core-updates before today's
merge. I think the last time I checked if cross-compilation works, must
have been in early July. I am looking for the last working commit.

Manolis